## PkMediaChangeRequired PkMediaChangeRequired — MediaChangeRequired object |

## Synopsis

    struct              PkMediaChangeRequired;
    struct              PkMediaChangeRequiredClass;
    PkMediaChangeRequired * pk_media_change_required_new    (void);

## Object Hierarchy

      GObject
       +----PkSource
             +----PkMediaChangeRequired

## Properties

      "media-id"                 gchar*                : Read / Write
      "media-text"               gchar*                : Read / Write
      "media-type"               guint                 : Read / Write

## Description

This GObject represents a media_change_required from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### struct PkMediaChangeRequired

    struct PkMediaChangeRequired;

### struct PkMediaChangeRequiredClass

    struct PkMediaChangeRequiredClass {
    	PkSourceClass parent_class;
    	/* padding for future expansion */
    	void (*_pk_reserved1) (void);
    	void (*_pk_reserved2) (void);
    	void (*_pk_reserved3) (void);
    	void (*_pk_reserved4) (void);
    	void (*_pk_reserved5) (void);
    };

### pk_media_change_required_new ()

    PkMediaChangeRequired * pk_media_change_required_new    (void);

Returns : | a new PkMediaChangeRequired object.

Since 0.5.4

## Property Details

### The `"media-id"` property

      "media-id"                 gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"media-text"` property

      "media-text"               gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"media-type"` property

      "media-type"               guint                 : Read / Write

Default value: 0

Since 0.5.4